GDCM: gdcm::Type Class Reference

GDCM 3.2.10

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
gdcm::Type Class Reference

Type. More...

`#include <gdcmType.h>`

## Public Types
enum | TypeType { T1 = 0 , T1C , T2 , T2C , T3 , UNKNOWN }

## Public Member Functions
| Type (TypeType type=UNKNOWN)
| operator TypeType () const

## Static Public Member Functions
static const char * | GetTypeString (TypeType type)
static TypeType | GetTypeType (const char *type)

## Friends
std::ostream & | operator<< (std::ostream &os, const Type &vr)

## Detailed Description

Type.

Note
  PS 3.5 7.4 DATA ELEMENT TYPE 7.4.1 TYPE 1 REQUIRED DATA ELEMENTS 7.4.2 TYPE 1C CONDITIONAL DATA ELEMENTS 7.4.3 TYPE 2 REQUIRED DATA ELEMENTS 7.4.4 TYPE 2C CONDITIONAL DATA ELEMENTS 7.4.5 TYPE 3 OPTIONAL DATA ELEMENTS

The intent of Type 2 Data Elements is to allow a zero length to be conveyed when the operator or application does not know its value or has a specific reason for not specifying its value. It is the intent that the device should support these Data Elements.

Examples
  TraverseModules.cxx.

## Member Enumeration Documentation

## ◆ TypeType

enum gdcm::Type::TypeType

Enumerator
T1 |
T1C |
T2 |
T2C |
T3 |
UNKNOWN |

## Constructor & Destructor Documentation

## ◆ Type()

gdcm::Type::Type | ( | TypeType | type = UNKNOWN | ) |
| inline

References UNKNOWN.

Referenced by operator<<.

## Member Function Documentation

## ◆ GetTypeString()

const char * gdcm::Type::GetTypeString | ( | TypeType | type | ) |
| static

Referenced by operator<<.

## ◆ GetTypeType()

TypeType gdcm::Type::GetTypeType | ( | const char * | type | ) |
| static

Referenced by gdcm::ModuleEntry::ModuleEntry().

## ◆ operator TypeType()

gdcm::Type::operator TypeType | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Type & | vr )
| friend

References Type(), and GetTypeString().

The documentation for this class was generated from the following file:

- gdcmType.h